# KM_CvKernelAccessLocal

KM_CVKERNELACCESSLOCAL_SITE = $(BR2_EXTERNAL_CVBOARD_PATH)/package/KM_CvKernelAccessLocal/src
KM_CVKERNELACCESSLOCAL_SITE_METHOD = local

$(eval $(kernel-module))

define KM_CVKERNELACCESSLOCAL_KERNEL_MODULES_BUILD
	$(LINUX_MAKE_ENV) $($(PKG)_MAKE) -C $(@D) $(LINUX_MAKE_FLAGS) PWD=$(@D) M=$(@D) prebuild;
	$(LINUX_MAKE_ENV) $($(PKG)_MAKE) -C $(LINUX_DIR) $(LINUX_MAKE_FLAGS) PWD=$(@D) M=$(@D) modules
endef

# define KM_CVKERNELACCESSLOCAL_KERNEL_MODULES_INSTALL
# 	$(LINUX_MAKE_ENV) $($(PKG)_MAKE) -C $(LINUX_DIR) $(LINUX_MAKE_FLAGS) PWD=$(@D) M=$(@D) INSTALL_MOD_PATH=$(TARGET_DIR)/lib/modules/$(LINUX_VERSION_PROBED)/extra modules_install
# endef

define KM_CVKERNELACCESSLOCAL_KERNEL_MODULES_INSTALL
	$(INSTALL) -d -m 755 $(TARGET_DIR)/lib/modules/$(LINUX_VERSION_PROBED)/extra
	$(INSTALL) -m 644 $(@D)/KM_CvKernelAccess.ko $(TARGET_DIR)/lib/modules/$(LINUX_VERSION_PROBED)/extra
endef

$(eval $(generic-package))
